Change log for gnustep-base package in Debian

133 of 33 results
Published in sid-release on 2017-10-29
gnustep-base (1.25.0-2) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/patches/autogsdoc-reproducibility.patch: New; fix
    reproducibility issue with autogsdoc.
  * debian/patches/series: Update.
  * debian/templates/control.m4: Relax some dependencies for smoother
    transitions.
  * debian/control: Regenerate.
  * debian/rules: Remove --with autoreconf; not needed for compat level
    10.  Handle "noopt" manually to take advantage of gnustep-make's
    debug=yes option.
    (v_make): Require at least 2.7.0-3 for the optim definition.
    (DEB_LDFLAGS_MAINT_APPEND): Add -Wl,--no-undefined.
    (override_dh_shlibdeps): Add -runtime to generated shlibs.
  * debian/templates/libgnustep-baseN.lintian-overrides.m4: Override
    shlibs-declares-dependency-on-other-package.

  [ Eric Heintzmann ]
  * Upload to unstable.
  * debian/templates/control.m4: Mark gnustep-base-doc as Multi-Arch: foreign.
  * debian/control: Regenerate.
  * debian/changelog: Remove trailing whitespaces.
  * debian/rules: Remove trailing whitespace.

 -- Eric Heintzmann <email address hidden>  Sun, 29 Oct 2017 10:16:51 +0100
Deleted in experimental-release (Reason: None provided.)
gnustep-base (1.25.0-1) experimental; urgency=medium

  [ Eric Heintzmann ]
  * New upstream version 1.25.0:
    + Garbage collection support removed (Closes: #145759).
    + Rename library package as per SONAME change:
      - libgnustep-base1.24 -> libgnustep-base1.25
  * debian/patches:
    + Remove patches already applied upstream:
      - fix-thread-deadlock
      - fix-ftbfs-hurd
      - fix-spelling-errors3
      - fix-ftbfs-s390x
      - fix-test-var-size
      - fix-ftbfs-kfreebsd
      - fix-test-lock
      - fix-test-pipe
      - info-direntry
      - fix-spelling-errors2
      - fix-test-includedirs
      - fix-test-icu
      - fix-spelling-errors
      - fix-gdnc
      - fix-test-icu2
    + Refresh patches:
      - fix-tests-network
      - manpage-fixes
    + New fix-spelling-error patch.
  * debian/templates/control.m4:
    + Add tzdata to build dependencies.
    + Bump Standards-Version to 4.1.0
    + Update Vcs-Browser field
    + Update Gürkan's name.
  * debian/rules:
    + Now build depends on latest gnustep-make
    + Update gobjc version
    + Remove -pie option.
    + Add --as-needed to LDFLAGS.
    + Remove -shared-libgcc LDFLAG, now useless
  * Update libgnustep-base-dev.install.in file.
  * Remove obsolete symbols file and override lintian warning
  * Add a testsuite.
  * Update debian/clean file.

  [ Yavor Doganov ]
  * debian/templates/control.m4: Remove -dbg package; switch to automatic
    -dbgsym packages.
    (Build-Depends): Require debhelper >= 10.  Remove dh-autoreconf, not
    necessary with compat level 10.
    (gnustep-base-common) <Depends>: Add tzdata; thanks Andreas Beckmann
    (Closes: #857153).
    (gnustep-base-examples): Remove; move contents to the -doc package.
    (gnustep-base-doc): Add appropriate Replaces and Breaks.
    (Standards-Version): Bump to 4.1.1; no changes needed.
  * debian/control: Regenerate.
  * debian/templates/libgnustep-baseN-dbg.docs.in: Delete.
  * debian/rules: Replace shell comments with makefile comments.
    (p_dbg, p_exam, override_dh_strip): Remove.
    (override_dh_installdocs): Remove entirely; --link-doc is unsupported
    for packages with different architecture types.
    (override_dh_install): Remove; gsdoc files are necessary for correct
    references when building other GNUstep documentation.
    (override_dh_testdir): New; ensure that control is always regenerated
    so that any changes to the template are taken into account.
    (override_dh_auto_configure): Remove control generation snippet.
    (override_dh_installexamples, override_dh_compress): Act on the -doc
    package since -examples is being removed.
  * debian/compat: Bump compat level to 10.
  * debian/gnustep-base-runtime.mainscript:
  * debian/libgnustep-base-dev.maintscript: New; handle the transformation
    of symlinks to real directories.
  * debian/gnustep-base-examples.examples: Rename as...
  * debian/gnustep-base-doc.examples: ...since -examples is moved to -doc.
  * debian/gnustep-base-examples.dirs: Delete.
  * debian/NEWS: Inform users that examples are now available in -doc.
  * debian/copyright: Update copyright years

 -- Eric Heintzmann <email address hidden>  Sat, 07 Oct 2017 17:05:40 +0200
Published in buster-release on 2017-07-17
Published in stretch-release on 2017-02-05
Published in sid-release on 2017-02-03
gnustep-base (1.24.9-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add B-D: tzdata to fix a FTBFS (Closes: #839409).

 -- Andrey Rahmatullin <email address hidden>  Fri, 03 Feb 2017 00:12:50 +0500
Superseded in stretch-release on 2017-02-05
Superseded in sid-release on 2017-02-05
gnustep-base (1.24.9-3) unstable; urgency=medium

  * New fix-thread-deadlock patch (Closes: #649419).
  * New fix-test-icu2 patch (Closes: #833755).
  * Build using default gobjc: update control file.
  * Update description of fix-test-lock patch.
  * Update debian/copyright file (Thanks to cme).

 -- Eric Heintzmann <email address hidden>  Tue, 09 Aug 2016 18:32:12 +0200

Available diffs

Superseded in stretch-release on 2016-08-24
Superseded in sid-release on 2016-08-18
gnustep-base (1.24.9-2) unstable; urgency=medium

  * Display Tests/tests.log file if tests fail.
  * Now Build-Depends on latest gobjc-5i.
  * New fix-spelling-errors3 patch.
  * Don't install config.log to avoid unreproducibility issue.
  * Display config.log if configure script fails.
  * New debian/libgnustep-base1.24.symbols.kfreebsd-amd64  file.
  * New debian/libgnustep-base1.24.symbols.kfreebsd-i386 file.
  * Thanks to Richard Frith-Macdonald:
    + New fix-ftbfs-hurd patch 
    + New fix-test-lock patch to avoid FTFS on non linux arch
    + New fix-ftbfs-s390x patch
    + New fix-ftbfs-kfreebsd patch
    + New fix-test-var-size patch
    + New fix-gdnc patch
    + New fix-tests-timings patch
    + New fix-test-var-size patch:
      remove workaround for tests in debian/rules
    + Replace fix-test-chroot patch by fix-test-pipe patch. 

 -- Eric Heintzmann <email address hidden>  Mon, 27 Jun 2016 21:09:17 +0200

Available diffs

Superseded in sid-release on 2016-07-14
gnustep-base (1.24.9-1) unstable; urgency=low

  * Team upload.
  * New Upstream version 1.24.9
  * Update fix-spelling-errors.patch
  * Update doc-links.patch
  * Update info-direntry.patch
  * Update pldes-manpage-rename.patch
  * Update manpage-fixes.patch
  * Update texinfo5.diff
  * New fix-test-icu.patch
  * New fix-spelling-errors2.patch
  * New debian/patches/fix-tests-network.patch
  * New fix-test-chroot.patch
  * Remove testsuite-fixes.patch, now useless
  * Move debian/*.in and debian/*.m4 to new debian/templates directory
    + Update debian/templates/control.m4
      - In agreement with the Debian GNUstep maintainers,
        add myself as new Co-Maintainer
      - Bump Standards-Version to 3.9.8
      - Now depends on latest gnustep-make
      - Remove unused {gnustep:Depends} variable
      - Update Vcs-* fields
      - Add build dependency to dh-exec
      - Add build dependency to dh-autoreconf,
        and remove build dependency to autotools-dev
      - Tighten dependencies
    + Update debian/templates/gnustep-base-common.xmlcatalogs.in file
    + Update debian/templates/libgnustep-base-dev.install.in file
    + Rename gnustep-base-runtime.gdomap.in
       to gnustep-base-runtime.gdomap.init.i
    + Provide a new debian/templates/gnustep-base-common.install.in file
    + Provide new debian/templates/gnustep-base-common.links.in file
    + Provide new debian/templates/gnustep-base-runtime.install.in file
    + Provide a new debian/templates/gnustep-base-runtime.links.in file
    + Provide a new debian/templates/libgnustep-base-dev.install.in file
    + Provide a new debian/templates/gnustep-base-doc.install.in file
    + Provide a new debian/templates/libgnustep-baseN.install.in file
    + Provide a new debian/templates/libgnustep-baseN-dbg.docs.in file
    + Remove debian/templates/libgnustep-baseN.overrides.m4 file, now useless
  * Update debian/watch file to version 4
  * Update debian/copyright file
  * Update debian/gnustep-base-runtime.lintian-overrides file
  * Rename debian/gdomap.default to debian/gnustep-base-runtime.gdomap.default
  * Provide a new debian/clean file
  * Provide a new debian/gnustep-base-common.docs file
  * Provide a new debian/gnustep-base-runtime.manpages file
  * Provide a new debian/libgnustep-base1.24.symbols file
  * Provide a new debian/gnustep-base-doc.docs file
  * Provide a new debian/gnustep-base-examples.dirs file
  * Provide a new debian/gnustep-base-examples.examples file
  * Remove debian/source.lintian-overrides file, now useless
  * Remove debian/upstream/ signing-key.pgp file,
    add debian/upstream/signing-key.asc file,
    remove debian/source/ include-binaries file
  * Rewrite debian/rules for easier maintenance
    + Switch from autotools-dev to dh-autoreconf
    + Use override_dh_* targets
    + Enable hardening
    + Fix crash when runnig tests

 -- Eric Heintzmann <email address hidden>  Thu, 26 May 2016 11:31:39 +0200
Published in wheezy-release on 2015-01-10
gnustep-base (1.22.1-4+deb7u1) wheezy; urgency=medium


  * debian/patches/CVE-2014-2980.patch: New; fixes user security hole in
    gdomap (Closes: #745470).
  * debian/patches/performSelector-forwarding.patch: New; fixes regression
    in -performSelector: with message forwarding (Closes: #753603).
  * debian/patches/series: Update.

 -- Yavor Doganov <email address hidden>  Wed, 19 Nov 2014 19:25:07 +0200
Superseded in stretch-release on 2016-07-15
Published in jessie-release on 2014-11-06
Superseded in sid-release on 2016-07-14
gnustep-base (1.24.7-1) unstable; urgency=medium


  * New upstream bugfix release:
    - SSLv3 is disabled by default because of CVE-2014-3566.
  * debian/patches/testsuite-fixes.patch: Remove hunks applied upstream.
    Disable some tests that are doomed to fail.
  * debian/patches/info-direntry.patch:
  * debian/patches/manpage-fixes.patch: Remove hunks applied upstream.
  * debian/patches/NSString-buffer-overrun.patch:
  * debian/patches/ftbfs-mips64.patch:
  * debian/patches/hide-SYSTEM_CONFIG-vars.patch:
  * debian/patches/use-local-DTDs.patch:
  * debian/patches/CVE-2014-2980.patch:
  * debian/patches/kfreebsd-fake-main.patch:
  * debian/patches/avoid-nsl-linkage.patch:
  * debian/patches/gnutls28.patch:
  * debian/patches/alignment-check.patch:
  * debian/patches/avoid-tools-extra-linkage.patch:
  * debian/patches/maxsymlinks.diff: Delete; applied upstream.
  * debian/patches/pldes-manpage-rename.patch: Refresh.
  * debian/patches/autoreconf.patch: Delete; no longer needed.
  * debian/patches/fix-spelling-errors.patch: New.
  * debian/patches/series: Update.
  * debian/HTMLLinker.1:
  * debian/make_strings.1: Delete; added upstream.
  * debian/rules (configure-stamp): Dump config.log to stdout in case of
    configure error.
    (binary-arch): Install upstream manpages.
  * debian/control.m4 (Standards-Version): Bump to 3.9.6; no changes
    needed.
  * debian/control: Regenerate.
  * debian/gnustep-base-common.xmlcatalogs.in: Add new 1_0_4 DTD.
  * debian/gnustep-base-runtime.gdomap.in: Check for daemon existence,
    thanks Felipe Sateler (Closes: #764526).  Create /var/run/gdomap
    before the daemon starts.
  * debian/gdomap.default: Avoid chroot to /tmp, thanks Ansgar Burchardt
    (Closes: #741441).
  * debian/gnustep-base-runtime.NEWS: Rename as NEWS as it is not picked
    by apt-listchanges.
  * debian/watch: Check upstream signature.
  * debian/upstream/signing-key.pgp: Add upstream keyring.
  * debian/source/include-binaries: New file.
  * debian/copyright: Switch to format 1.0, update copyright years.

 -- Yavor Doganov <email address hidden>  Wed, 22 Oct 2014 17:36:45 +0300
Superseded in jessie-release on 2014-11-06
Superseded in sid-release on 2014-10-29
gnustep-base (1.24.6-2) unstable; urgency=medium


  * Upload to unstable.
  * debian/compat: Set to 9 to get .build-id debugging symbols.
  * debian/control.m4 (Build-Depends): Require debhelper >= 9.  Build
    against gnutls28, thanks Andreas Metzler (Closes: #753033).
    (libgnustep-base`'SOV_BASE-dbg) <Conflicts>: Remove.
    <Recommends>: Remove libobjc3-dbg.
  * debian/control: Regenerate.
  * debian/patches/hurd-ignore-NSURL-test.diff: Delete; apparently no
    longer needed.
  * debian/patches/ftbfs-mips64.patch: New; fixes FTBFS on mips64(el),
    thanks Yunqiang Su (Closes: #753961).
  * debian/patches/gnutls28.patch: New; avoid using and linking libgcrypt
    with recent GnuTLS.
  * debian/patches/NSString-buffer-overrun.patch: New, cherry-picked from
    upstream SVN.
  * debian/patches/alignment-check.patch: New, fix word-alignment
    configure test on sparc.  Cherry-picked from upstream.
  * debian/patches/testsuite-fixes.patch: New.
  * debian/patches/doc-links.patch: Point links to index.html.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/rules (confflags): Define conditionally and pass --host to
    configure if cross-compiling.
    (install-debug): Install config.log and tests.log to analyze testsuite
    failures on the buildds.

 -- Yavor Doganov <email address hidden>  Mon, 07 Jul 2014 12:16:59 +0300
Deleted in experimental-release (Reason: None provided.)
gnustep-base (1.24.6-1) experimental; urgency=low


  * New upstream release:
    - Fixes FTBFS with recent libxml2 (Closes: #738347).
    - GNUSTEP_USER_DIRECTORY is no longer created unconditionally (Closes:
      #720190).
    - Fixes regression in performSelector: with message forwarding
      (Closes: #753603).
  * Ack NMUs; thanks Matthias Klose, gregor herrmann and Pino Toscano.
  * debian/patches/libobjc4.patch:
  * debian/patches/recent-libxml2-fix.patch: Remove; fixed upstream.
  * debian/patches/kfreebsd-fake-main.patch:
  * debian/patches/avoid-nsl-linkage.patch:
  * debian/patches/maxsymlinks.diff: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/texinfo5.diff: Add description.
  * debian/patches/hurd-ignore-NSURL-test.diff: Disable for now.
  * debian/patches/manpage-fixes.patch: Fix two more issues reported by
    lintian.
  * debian/patches/info-direntry.patch: Fix few texinfo warnings.
  * debian/patches/CVE-2014-2980.patch: New patch from upstream, fixes
    gdomap user security hole (Closes: #745470).
  * debian/patches/use-local-DTDs.patch: New; use local DTDs to avoid
    annoying warnings from autogsdoc when built in a chroot.  Thanks
    Svante Signell (Closes: #736587).
  * debian/patches/hide-SYSTEM_CONFIG-vars.patch: New; fix for upstream
    bug #42423.
  * debian/patches/doc-links.patch: New; fix some broken links to manuals
    in the various -doc packages, thanks js (Closes: #749196).
  * debian/patches/series: Update.
  * debian/rules (build-arch): Remove dependency on patch.
    (binary-indep): Invoke dh_installxmlcatalogs with -n since only DTDs
    are being installed, not catalogs (Closes: #637093).
    (install-doc): Don't create Developer symlink; useless.  Delete all
    gsdoc files.  Install manually the HTML manuals.
    (install-common): Use the system's ca-certificates.crt.
    (v_make): Bump to 2.6.6-2, for texi2html related changes and a
    gnustep-make bug exposed when linking static libraries.
  * debian/gdomap.default:
  * debian/gnustep-base-runtime.gdomap.in: Disable the gdomap daemon by
    default (Closes: #717773).  Provide "fancy" output; thanks Dirk
    Sandbrink (Closes: #729588).  Remove set -e/-u because of the lsb
    logging.
  * debian/control.m4 (libgnustep-base`'SOV_BASE-dbg) <Description>: Typo
    fix; thanks Pascal De Vuyst (Closes: #697628).
    <Conflicts>: Remove libgnustep-base1.20-dbg.
    (gnustep-base-doc) <Depends>: Remove dpkg (>= 1.15.4) | install-info.
    <Description>: Edit to reflect reality.
    (gnustep-base-common) <Depends>: Add ca-certificates, needed for the
    GnuTLS support.
    (Build-Depends-Indep): Remove texi2html.  Remove texlive-base (pulled
    in); add texlive-fonts-recommended, needed for the manual.
    (Vcs-Git, Vcs-Browser): Use the canonical URIs.
    (Standards-Version): Claim compliance with 3.9.5 as of this release.
  * debian/control: Regenerate.
  * debian/gnustep-base-runtime.postinst.in: Remove obsolete stuff.
  * debian/gnustep-base-runtime.prerm.in: Delete; obsolete.
  * debian/gnustep-base-runtime.NEWS: New; document that the gdomap daemon
    is not started by default.
  * debian/copyright: Update copyright years, add more copyright holders
    and ISC/Apache 2.0 blurbs.  Typo fixes.
  * debian/gnustep-base-doc.doc-base.manual:
  * debian/gnustep-base-doc.doc-base.standards: Remove Info, add HTML
    format.

 -- Yavor Doganov <email address hidden>  Sat, 05 Jul 2014 10:45:07 +0300
Superseded in jessie-release on 2014-07-14
Superseded in sid-release on 2014-07-09
gnustep-base (1.22.1-4.3) unstable; urgency=low


  * Non-maintainer upload.
  * Fix FTBFS on hurd-i386: provide MAXSYMLINKS (patch maxsymlinks.diff),
    and disable the hanging test NSURL (patch hurd-ignore-NSURL-test.diff).
    (Closes: #732642)

 -- Pino Toscano <email address hidden>  Sat, 25 Jan 2014 13:27:48 +0100
Superseded in jessie-release on 2014-02-15
Superseded in sid-release on 2014-02-05
gnustep-base (1.22.1-4.2) unstable; urgency=low


  * Non-maintainer upload.
  * Fix "FTBFS: GSXML.m:983:38: error: dereferencing pointer to
    incomplete type":
    add patch from Ubuntu / Benjamin Drung:
    - Backport upstream fix for recent libxml2.
    (Closes: #713666)

 -- gregor herrmann <email address hidden>  Sun, 10 Nov 2013 19:57:52 +0100
Superseded in jessie-release on 2013-11-18
Superseded in sid-release on 2013-11-13
gnustep-base (1.22.1-4.1) unstable; urgency=low


  * Non maintainer upload.
  * Fix build failure with texinfo 5.x. Closes: #707509.
  * Rebuild for the libffi transition.

 -- Matthias Klose <email address hidden>  Mon, 13 May 2013 13:52:38 +0200
Superseded in jessie-release on 2013-05-24
Superseded in wheezy-release on 2015-01-10
Superseded in sid-release on 2014-02-05
gnustep-base (1.22.1-4) unstable; urgency=low


  * debian/rules (build-arch): Depend on the patch target to ensure that
    patches are applied when the package is built by the official
    buildds.

 -- Yavor Doganov <email address hidden>  Wed, 04 Jul 2012 18:58:10 +0300
Deleted in experimental-release (Reason: None provided.)
gnustep-base (1.24.0-1) experimental; urgency=low


  * New major upstream release:
    + Fixes FTBFS with GCC-4.7 (Closes: #667868).
    + Does not create empty ~/GNUstep directory by default (Closes: #643305).
  * debian/control.m4 (Build-Depends): Remove quilt.
    (libgnustep-base`'SOV_BASE-dbg) <Recommends>: Add libobjc4-dbg as
    alternative.
    <Conflicts>: Add libgnustep-base1.22-dbg.
    (Standards-Version): Bump to 3.9.3; no changes needed.
  * debian/control: Regenerate.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/README.source: Delete; redundant.
  * debian/rules: Don't include /usr/share/quilt/quilt.make.  Remove quilt
    patch/unpatch stuff.  Don't bother messing with CC as it fails the
    configure test.  Build with hardening enabled.
  * debian/patches/gnutls-deprecated.patch: Remove; fixed upstream.
  * debian/patches/kfreebsd-fake-main.patch:
  * debian/patches/avoid-nsl-linkage.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/gnustep-base-runtime.gdomap.in: Add LSB Description keyword.
  * debian/gnustep-base-runtime.lintian-overrides: New, override hardening
    false positives.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <email address hidden>  Mon, 21 May 2012 16:22:29 +0300
Superseded in wheezy-release on 2012-07-15
Superseded in sid-release on 2013-01-15
gnustep-base (1.22.1-2) unstable; urgency=low


  * debian/patches/kfreebsd-fake-main.patch: New; treat GNU/kFreeBSD as
    GS_FAKE_MAIN platform because programs with many arguments abort
    (Closes: #644868).
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/gnustep-base-runtime.gdomap.in: Add support for the `status'
    action, thanks Peter Eisentraut (Closes: #646844).
  * debian/control.m4 (gnustep-base-runtime) <Depends>: Add lsb-base.
  * debian/control: Regenerate.

 -- Yavor Doganov <email address hidden>  Thu, 03 Nov 2011 19:58:33 +0200
Superseded in sid-release on 2011-11-05
gnustep-base (1.22.1-1) unstable; urgency=low


  * New upstream release:
    + Fixes implicit declaration of function (Closes: #629216).
  * debian/rules (v_make): Set to 2.6.1.
    (install-common): Do not delete non-existent .swp file.
  * debian/control.m4 (Build-Depends): Remove gobjc; gnustep-make now
    depends on it.
    (libgnustep-base-dev) <Depends>: Likewise.
    (Suggests): Remove; completely pointless.
  * debian/control: Regenerate.
  * debian/patches/avoid-nsl-linkage.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.

 -- Yavor Doganov <email address hidden>  Thu, 15 Sep 2011 12:31:15 +0300
Deleted in experimental-release (Reason: None provided.)
gnustep-base (1.22.0-1) experimental; urgency=low
  * New major upstream release:    + Includes support for the new Objective-C runtime (Closes: #624928).  * debian/control.m4 (Vcs-Arch): Replace with...    (Vcs-Git): ...since tla-buildpackage is gone.    (Vcs-Browser): New field.    (Standards-Version): Bump to 3.9.2; no changes needed.    (Build-Depends): Add libicu-dev, needed for NSLocale.    (libgnustep-base`'SOV_BASE-dbg) <Conflicts>: Set to    libgnustep-base1.20-dbg only.    <Recommends>: Set to libobjc3-dbg.  * debian/control: Regenerate.  * debian/patches/gnutls-deprecated.patch: New; fix usage of deprecated    GnuTLS function (Closes: #624054).  * debian/patches/missing-header.patch:  * debian/patches/no-march.patch: Delete; fixed upstream.  * debian/patches/NSBundle-PROCFS_EXE_LINK.patch: Delete; apparently not    needed anymore.  * debian/patches/manpage-fixes.patch: A few more fixes.  * debian/patches/avoid-nsl-linkage.patch: Refresh.  * debian/patches/autoreconf.patch: Regenerate.  * debian/patches/series: Update.  * debian/rules (v_objc, v_make): Bump to 4:4.6 (for libobjc3) and 2.6    (for the sake of the testsuite) accordingly.    (debian/build-shared-stamp): Run the testsuite.    (install-shared): Do not delete non-existent .swp file.    (install-common): Use $(sov_base) instead of hardcoded version.  * debian/copyright: Update copyright years. -- Yavor Doganov <email address hidden>  Tue, 31 May 2011 11:03:16 +0300
Superseded in wheezy-release on 2011-11-13
Superseded in sid-release on 2011-10-13
gnustep-base (1.20.2-2) unstable; urgency=medium
  * debian/patches/missing-header.patch: New; install    NSNetServices+GNUstepBase.h (Closes: #614480).  * debian/patches/series: Update. -- Yavor Doganov <email address hidden>  Tue, 08 Mar 2011 18:47:59 +0200
Superseded in wheezy-release on 2011-09-21
Superseded in sid-release on 2011-09-20
gnustep-base (1.20.2-1) unstable; urgency=low
  * New upstream release.  * debian/control.m4 (Build-Depends): Replace    libavahi-compat-libdnssd-dev with libavahi-client-dev; NSNetServices    has been rewritten to use Avahi natively (Closes: #588396).  * debian/control: Regenerate.  * debian/rules (binary-arch): Revert last change.  * debian/patches/hppa-pthread-alignment.patch: Remove; present upstream.  * debian/patches/avoid-nsl-linkage.patch: Refresh.  * debian/patches/autoreconf.patch: Regenerate.  * debian/patches/series: Update. -- Yavor Doganov <email address hidden>  Sun, 13 Feb 2011 12:06:09 +0200
Superseded in wheezy-release on 2011-09-21
Published in squeeze-release on 2011-01-01
Superseded in sid-release on 2011-09-20
gnustep-base (1.20.1-6) unstable; urgency=high
  * debian/rules (binary-arch): Pass -R to dh_installinit to facilitate    upgrades from lenny (really closes: #605565).  Thanks Axel Beckert and    Julien Cristau. -- Yavor Doganov <email address hidden>  Wed, 29 Dec 2010 20:02:39 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
gnustep-base (1.20.1-5) unstable; urgency=high
  * debian/gnustep-base-runtime.gdomap.in: Pass --oknodo to    start-stop-daemon; thanks Adam Borowski (Closes: #605565). -- Yavor Doganov <email address hidden>  Wed, 01 Dec 2010 19:00:25 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
gnustep-base (1.20.1-4) unstable; urgency=medium


  * debian/control.m4 (Build-Depends): Remove libkvm-dev; current
    GNU/kFreeBSD supports /proc and the HAVE_KVM_ENV code branch leads to
    aborts when programs are started with many arguments (Closes:
    #593898).  Thanks to Axel Beckert for the report and testing.
  * debian/control: Regenerate.
  * debian/rules (KVM_ARCHS): Remove.
    (debian/control debian/control.tmp): Do not define the KVM_ARCHS
    macro.
    (debian/configure-stamp): Pass ac_cv_lib_kvm_kvm_getenvv=no to
    `configure' to ensure that the /proc implementation in NSProcessInfo
    is used even if libkvm-dev happens to be installed.

 -- Yavor Doganov <email address hidden>  Fri, 27 Aug 2010 21:05:22 +0300
Superseded in sid-release on 2011-09-20
gnustep-base (1.20.1-3) unstable; urgency=medium


  * debian/patches/hppa-pthread-alignment.patch: New; check for alignment
    of pthread types and align the opaque gs_* equivalents accordingly,
    making the library usable again on hppa (Closes: #592751).  Thanks to
    dann frazier and Mehdi Dogguy for their tireless assistance, and to
    Carlos O'Donell for pointing out where the bug lies.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.

 -- Yavor Doganov <email address hidden>  Fri, 20 Aug 2010 09:36:47 +0300
Superseded in sid-release on 2011-09-20
gnustep-base (1.20.1-2) unstable; urgency=low


  * Upload to unstable.
  * debian/control.m4 (libgnustep-base`'SOV_BASE-dbg) <Conflicts>:
    Add libgnustep-base1.16-dbg, libgnustep-base1.16-libffi-dbg,
    libgnustep-base1.19-dbg.
    (Standards-Version): Compliant with 3.9.1; no changes needed.
  * debian/control: Regenerate.

 -- Yavor Doganov <email address hidden>  Tue, 10 Aug 2010 14:02:25 +0300
Superseded in experimental-release on 2011-09-21
gnustep-base (1.20.1-1) experimental; urgency=low


  * New upstream bugfix release:
    + Fixes whitespace handling in XML property lists (Closes: #583804).
    + Fixes FTBFS on GNU/kFreeBSD (Closes: #583825).
  * debian/patches/avoid-nsl-linkage.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/rules (LDFLAGS): Revert last change; gnustep_base_user_main is
    declared `weak' as of this release, so this should allow
    -Wl,--no-undefined.
    (install-common): Delete a useless backup file.
  * debian/watch: Track only stable releases.

 -- Yavor Doganov <email address hidden>  Mon, 21 Jun 2010 19:57:31 +0300
Superseded in experimental-release on 2011-09-21
gnustep-base (1.20.0-1) experimental; urgency=low


  * New major upstream release.
  * debian/control.m4 (Description): Don't praise the OpenStep API.
    (libgnustep-base`'SOV_BASE-dbg): Recommend libobjc2-dbg.
  * debian/control: Regenerate, which automatically reflects the SONAME
    change as well.
  * debian/rules (OPTFLAG): Remove and rework `noopt' handling to be
    compatible with gnustep-make/2.4.x.
  * debian/patches/powerpc-asm-local-labels.patch:
  * debian/patches/gdomap-bug29755.patch: Remove; already present
    upstream.
  * debian/patches/no-march.patch: New; avoid passing -march=i686 to GCC
    as Debian's minimum supported x86 CPU is i486.
  * debian/patches/autoreconf.patch: Regenerate.
  * Refresh all other patches.
  * debian/patches/series: Update.
  * debian/gnustep-base-runtime.postinst.in: Remove the override for
    /usr/lib/GNUstep/System/Tools/gdomap if it exists; apparently some
    systems still have it as it was not properly cleaned up during the
    gnustep-make 1.x -> 2.x transition.
  * debian/source.lintian-overrides: New file; override
    debian-rules-calls-debhelper-in-odd-order as it is entirely legitimate
    in our case.
  * debian/copyright: Add new copyright holders and bump copyright years.
    Add license for the ObjectiveC2 framework, and clarify that the
    library as a whole remains under LGPLv2.1+.

 -- Yavor Doganov <email address hidden>  Tue, 18 May 2010 11:03:40 +0300
Superseded in sid-release on 2011-09-20
Superseded in squeeze-release on 2011-09-13
gnustep-base (1.19.3-3) unstable; urgency=low


  * debian/patches/powerpc-asm-local-labels.patch: New; should fix FTBFS
    on powerpc with GCC 4.4 and above.
  * debian/patches/series: Update.
  * debian/rules (LDFLAGS): Conditionally define to avoid FTBFS on
    GNU/Hurd.

 -- Yavor Doganov <email address hidden>  Mon, 10 May 2010 14:10:50 +0300
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
gnustep-base (1.19.3-1) unstable; urgency=low


  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <email address hidden>  Wed, 18 Nov 2009 12:59:52 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
gnustep-base (1.19.0-2) unstable; urgency=low


  * Upload to unstable.

 -- Hubert Chathi <email address hidden>  Sat, 11 Apr 2009 13:30:33 -0400
Superseded in experimental-release on 2011-09-21
gnustep-base (1.19.0-1) experimental; urgency=low


  [Gürkan Sengün]
  * New upstream version.
  * Bump standards version.
  * Bump debhelper version.
  * Add myself to Uploaders field.

  [Hubert Chathi]
  * Don't use ffcall any more; only build using libffi.
  * Bump required gnustep-make versions.
  * Force installation to system domain.
  * Target to experimental distribution.

 -- Gürkan Sengün <email address hidden>  Fri, 20 Feb 2009 17:25:20 +0100
Superseded in sid-release on 2011-09-20
Superseded in squeeze-release on 2011-09-13
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
gnustep-base (1.16.3-3) unstable; urgency=low


  * debian/rules: Use the right variable for the info document directory.
    (Thanks to Yavor.) (Closes: #489279)

 -- Hubert Chathi <email address hidden>  Fri, 08 Aug 2008 14:19:00 -0400
Published in lenny-release on 2008-10-29
gnustep-base (1.16.1-2lenny1) testing; urgency=low


  * debian/control: Build-depend against texlive-base, texlive-latex-base
    instead of texlive-base-bin.
  * debian/rules: Use the right variable for the info document directory.
    (Thanks to Yavor.) (Closes: #489279)

 -- Hubert Chathi <email address hidden>  Tue, 12 Aug 2008 12:31:43 -0400
133 of 33 results